package com.gic.haoban.manage.service.service.hm.impl;

import java.util.List;

import org.apache.commons.collections.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.gic.commons.util.EntityUtil;
import com.gic.haoban.manage.api.dto.hm.HmLinkStoreDTO;
import com.gic.haoban.manage.service.dao.mapper.hm.HmLinkStoreMapper;
import com.gic.haoban.manage.service.entity.hm.TabHmLinkStore;
import com.gic.haoban.manage.service.service.hm.HmLinkStoreService;

@Service("hmLinkStoreService")
public class HmLinkStoreServiceImpl implements HmLinkStoreService {

    @Autowired
    private HmLinkStoreMapper hmLinkStoreMapper;

    @Override
    public List<HmLinkStoreDTO> listByLinkId(String wxEnterpriseId, String enterpriseId, Long linkId) {
        List<TabHmLinkStore> list = this.hmLinkStoreMapper.listByLinkId(linkId);
        if (CollectionUtils.isNotEmpty(list)) {
            List<HmLinkStoreDTO> storeList = EntityUtil.changeEntityListByJSON(HmLinkStoreDTO.class, list);
            return storeList;
        }
        return null;
    }

}
