import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import com.gic.haoban.manage.api.enums.KeyDataEnum;
import com.gic.haoban.manage.api.service.KeyDataApiService;
import com.gic.haoban.manage.api.service.hm.HmLinkApiService;
import com.gic.haoban.manage.api.service.hm.HmLinkVisitLogApiService;
import com.gic.haoban.manage.service.util.QwFriendLimitCountUtil;

@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(locations = { "classpath:applicationContext-conf.xml" })
public class HmLinkTest {
    @Autowired
    private HmLinkApiService hmLinkApiService;
    
    @Autowired
    private HmLinkVisitLogApiService hmLinkVisitLogApiService ;
    
    @Autowired
    private KeyDataApiService  keyDataApiService ;
    
    
    @Test
    public void test3() {
       this.keyDataApiService.saveData("15990160154", KeyDataEnum.MOBILE) ;
       
       System.out.println(
            this.keyDataApiService.getDataByKey("679f17d8c2e940a28dc484689c0339db", KeyDataEnum.MOBILE)); ;
    }
    
    @Test
    public void test2() {
       this.hmLinkVisitLogApiService.save("unionid",100L); 
    }
    
    @Test
    public void test0() {
        this.hmLinkApiService.getByLinkId(100L);
    }

    @Test
    public void test1() {
        System.out.println(QwFriendLimitCountUtil.getLimit(false));
    }

}
